Bug 223127 - Implement repetition of animated AVIF
Summary: Implement repetition of animated AVIF
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: ChangSeok Oh
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-03-12 10:35 PST by ChangSeok Oh
Modified: 2021-03-29 15:09 PDT (History)
4 users (show)

See Also:


Attachments
Patch (5.67 KB, patch)
2021-03-27 11:17 PDT, ChangSeok Oh
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ChangSeok Oh 2021-03-12 10:35:59 PST
libavif does not provide a clear repetition count. Perhaps, we need to calculate it based on the play time and playing speed.
https://github.com/AOMediaCodec/av1-avif/issues/73
Comment 1 Radar WebKit Bug Importer 2021-03-19 11:36:13 PDT
<rdar://problem/75629284>
Comment 2 ChangSeok Oh 2021-03-27 11:17:14 PDT
Created attachment 424458 [details]
Patch
Comment 3 ChangSeok Oh 2021-03-29 14:51:58 PDT
Comment on attachment 424458 [details]
Patch

Thanks!
Comment 4 EWS 2021-03-29 15:09:56 PDT
Committed r275184: <https://commits.webkit.org/r275184>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 424458 [details].